%define spfmilter 1

%{?_with_spfmilter: %{expand: %%global spfmilter 1}}
%{?_without_spfmilter: %{expand: %%global spfmilter 0}}

%define	major 0
%define libname	%mklibname spf %{major}

Summary:	A portable ANSI C implementation of the Sender Policy Framework library
Name:		libspf
Version:	1.0.0
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://libspf.org/
Source0:	http://libspf.org/files/src/%{name}-%{version}-p3.tar.bz2
Patch0:		libspf-1.0.0-p2-no_release.diff.bz2
%if %{spfmilter}
BuildRequires:	sendmail-devel
%endif
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libspf - Sender Permitted From library

ANSI C implementation of draft-mengwong-spf-02.9.7.txt

%package -n	%{libname}
Summary:	A portable ANSI C implementation of the Sender Policy Framework library
Group:		System/Libraries

%description -n	%{libname}
libspf - Sender Permitted From library

ANSI C implementation of draft-mengwong-spf-02.9.7.txt

%package -n	%{libname}-devel
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
libspf - Sender Permitted From library

ANSI C implementation of draft-mengwong-spf-02.9.7.txt

This package contains the development library and its header files
for the libspf library.

%package	utils
Summary:	Sender Permitted From (SPF) command line utilities
Group:		System/Servers
Obsoletes:	spfquery

%description	utils
Sender Permitted From (SPF) command line query tool

%if %{spfmilter}
%package	spfmilter
Summary:	SPF mail filter module for sendmail
Group:		System/Servers
Requires:	sendmail

%description	spfmilter
spfmilter implements the Sender Policy Framework (SPF) as a
milter, using the %{libname} library.
%endif

%prep

%setup -q -n %{name}-%{version}-p3
%patch0 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done
    	
%build
rm -f configure
libtoolize --copy --force && aclocal && autoconf

%configure2_5x \
%if %{spfmilter}
    --enable-spfmilter \
    --enable-pthreads
%else
    --disable-spfmilter \
    --disable-pthreads
%endif			

make

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_bindir}/*_static
rm -f %{buildroot}%{_sbindir}/*_static

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/*
chrpath -d %{buildroot}%{_sbindir}/*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc CHANGELOG FAQ LICENSE README TODO docs examples
%{_libdir}/*.so.*

%files utils
%defattr(-,root,root)
%doc src/spfqtool/INSTALL src/spfqtool/test.pl src/spfqtool/test.txt
%{_bindir}/spfqtool

%if %{spfmilter}
%files spfmilter
%defattr(-,root,root)
%doc src/spfmilter/AUTHORS src/spfmilter/CHANGELOG src/spfmilter/README src/spfmilter/spfmilter.sh
%{_sbindir}/spfmilter
%{_mandir}/man8/spfmilter.8*
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%doc patches
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Mon May 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdk
- 1.0.0-p3
- run the test suite

* Sat Apr 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdk
- 1.0.0-p2
- use their major

* Sun Jun 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-0.RC1.1mdk
- initial cooker contrib
